Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_uri_relative_to_base

## Name

librdf_new_uri_relative_to_base -- Constructor - create a new librdf_uri object from a URI string relative to a base URI

## Synopsis

``librdf_uri* `librdf_new_uri_relative_to_base`` (librdf_uri* `base_uri`, const unsigned char * `uri_string`);`

## Arguments

`base_uri`

  absolute base URI

`uri_string`

  relative URI string

## Description

An empty uri_string or NULL is equivalent to librdf_new_uri_from_uri(base_uri)

## Return value

a new librdf_uri object or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_uri_normalised_to_base | Up | librdf_new_uri_from_filename